Bug 1384600 - SELinux prevents cobbler from authenticating via PAM
Summary: SELinux prevents cobbler from authenticating via PAM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1415315
TreeView+ depends on / blocked
 
Reported: 2016-10-13 15:53 UTC by Orion Poplawski
Modified: 2017-02-02 20:50 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.13.1-191.24.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1415315 (view as bug list)
Environment:
Last Closed: 2017-02-02 20:50:46 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2016-10-13 15:53:34 UTC
Description of problem:

Trying to authenticate a user in cobbler via PAM fails:

type=AVC msg=audit(1476373827.693:553): avc:  denied  { create } for  pid=10174 comm="cobblerd" scontext=system_u:system_r:cobblerd_t:s0 tcontext=system_u:system_r:cobblerd_t:s0 tclass=netlink_audit_socket permissive=0

Oct 13 09:50:27 vmf24 python2: pam_sss(login:auth): authentication success; logname= uid=0 euid=0 tty= ruser= rhost= user=USER
Oct 13 09:50:27 vmf24 python2: PAM audit_open() failed: Permission denied

Version-Release number of selected component (if applicable):
selinux-policy-3.13.1-191.12.fc24.noarch

Comment 1 Orion Poplawski 2016-12-28 17:58:29 UTC
Same problem on EL7 with selinux-policy-3.13.1-102.el7_3.4.noarch

Comment 2 Fedora Update System 2017-01-09 14:03:05 UTC
selinux-policy-3.13.1-191.24.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7585703fbe

Comment 3 Fedora Update System 2017-01-10 03:23:35 UTC
selinux-policy-3.13.1-191.24.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7585703fbe

Comment 4 Fedora Update System 2017-02-02 20:50:46 UTC
selinux-policy-3.13.1-191.24.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.